package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 字典数据表(SysDictData)Domain
 *
 * @author 戴鹏涛
 * @since 2023-09-14 12:03:14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "sys_dict_data")
@ApiModel(value = "SysDictData", description = "字典数据表")
public class SysDictDataMp extends BaseEntity {

    /** 主键 */
    @ApiModelProperty("主键")
    @TableId(value = "dict_code", type = IdType.AUTO)
    private Long dictCode;

    /** 字典排序 */
    @ApiModelProperty("字典排序")
    @Excel(name = "字典排序")
    private Integer dictSort;

    /** 字典标签 */
    @ApiModelProperty("字典标签")
    @Excel(name = "字典标签")
    private String dictLabel;

    /** 字典键值 */
    @ApiModelProperty("字典键值")
    @Excel(name = "字典键值")
    private String dictValue;

    /** 字典类型 */
    @ApiModelProperty("字典类型")
    @Excel(name = "字典类型")
    private String dictType;

    /** 样式属性（其他样式扩展） */
    @ApiModelProperty("样式属性（其他样式扩展）")
    @Excel(name = "样式属性（其他样式扩展）")
    private String cssClass;

    /** 表格回显样式 */
    @ApiModelProperty("表格回显样式")
    @Excel(name = "表格回显样式")
    private String listClass;

    /** 是否默认（Y是 N否） */
    @ApiModelProperty("是否默认（Y是 N否）")
    @Excel(name = "是否默认（Y是 N否）")
    private String isDefault;

    /** 状态（0正常 1停用） */
    @ApiModelProperty("状态（0正常 1停用）")
    @Excel(name = "状态（0正常 1停用）")
    private String status;

    /** 备注 */
    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    /**
     * 逻辑删除
     */
    @ApiModelProperty("逻辑删除")
    private Integer isDeleted;
}

